color 9E
@echo off
cls
title "Celtic Skin Configurator"

:Start
@echo.
@echo #
@echo #---------------------------------------#
@echo #
@echo # Use this script to change resolutions
@echo # and toolbar types for Celtic F2P (2.4)
@echo #
@echo #     This file is WinXP friendly
@echo #
@echo #---------------------------------------#
@echo #
@echo # Press '1' to continue or '0' to exit.
@echo #
@echo #---------------------------------------#
set oschoice=
set /p oschoice= #  ?
@echo.
set oschoice=%oschoice:~0,1%
if "%oschoice%"=="1" goto Next
if "%oschoice%"=="0" goto End
@echo Invalid choice
Goto Start

:Next
title "Out with the old ..."
cls
@echo.
@echo #---------------------------------------#
@echo #
@echo #   Deleting old skindefinition.xml
@echo #
@echo #---------------------------------------#
del /F /Q skindefinition.xml
@echo #
@echo #  Old skindefinition.xml file deleted.
@echo #
@echo #---------------------------------------#
pause
cls
Goto Menu

:Menu
title "Step 1: Select a toolbar and resolution"
cls
@echo.
@echo #---------------------------------------#
@echo #--- Select an option from the list. ---#
@echo #
@echo #    '0' Mini Toolbar @ 1024 x 768
@echo #    '1' Mini Toolbar @ 1280 x 1024
@echo #    '2' Mini Toolbar @ 1440 x 900
@echo #    '3' Mini Toolbar @ 1680 x 1050
@echo #    '4' Mini Toolbar @ 1920 x 1200
@echo #    '5' Large Toolbar @ 1024 x 768
@echo #    '6' Large Toolbar @ 1280 x 1024
@echo #    '7' Large Toolbar @ 1440 x 900
@echo #    '8' Large Toolbar @ 1680 x 1050
@echo #    '9' Large Toolbar @ 1920 x 1200
@echo #
@echo #---------------------------------------#
@echo #
@echo #   Enter an option '0' thru '9' ... 
@echo #
@echo #---------------------------------------#
set OSChoice=
set /p OSChoice= #  ?
If "%OSChoice%"=="0" Goto 10
If "%OSChoice%"=="9" Goto 9
If "%OSChoice%"=="8" Goto 8
If "%OSChoice%"=="7" Goto 7
If "%OSChoice%"=="6" Goto 6
If "%OSChoice%"=="5" Goto 5
If "%OSChoice%"=="4" Goto 4
If "%OSChoice%"=="3" Goto 3
If "%OSChoice%"=="2" Goto 2
If "%OSChoice%"=="1" Goto 1
@echo Invalid choice
Goto Menu

Goto End

:10
@echo #
@echo # You selected '0', Mini @ 1024 x 768
@echo #
@echo #---------------------------------------#
set FILE1=SkinDefs\Mini1024.xml
pause
Goto Vitals

:9
@echo #
@echo # You selected '9', Large @ 1920 x 1200
@echo #
@echo #---------------------------------------#
set FILE1=SkinDefs\Large1920.xml
pause
Goto Vitals

:8
@echo #
@echo # You selected '8', Large @ 1680 x 1050
@echo #
@echo #---------------------------------------#
set FILE1=SkinDefs\Large1680.xml
pause
Goto Vitals

:7
@echo #
@echo # You selected '7', Large @ 1440 x 900
@echo #
@echo #---------------------------------------#
set FILE1=SkinDefs\Large1440.xml
pause
Goto Vitals

:6
@echo #
@echo # You selected '6', Large @ 1280 x 1024
@echo #
@echo #---------------------------------------#
set FILE1=SkinDefs\Large1280.xml
pause
Goto Vitals

:5
@echo #
@echo # You selected '5', Large @ 1024 x 768
@echo #
@echo #---------------------------------------#
set FILE1=SkinDefs\Large1024.xml
pause
Goto Vitals

:4
@echo #
@echo # You selected '4', Mini @ 1920 x 1200
@echo #
@echo #---------------------------------------#
set FILE1=SkinDefs\Mini1920.xml
pause
Goto Vitals

:3
@echo #
@echo # You selected '3', Mini @ 1680 x 1050
@echo #
@echo #---------------------------------------#
set FILE1=SkinDefs\Mini1680.xml
pause
Goto Vitals

:2
@echo #
@echo # You selected '2', Mini @ 1440 x 900
@echo #
@echo #---------------------------------------#
set FILE1=SkinDefs\Mini1440.xml
pause
Goto Vitals

:1
@echo #
@echo # You selected '1', Mini @ 1280 x 1024
@echo #
@echo #---------------------------------------#
set FILE1=SkinDefs\Mini1280.xml
pause
Goto Vitals

:Vitals
title "Step 2: 2 Buff or Not 2 Buff"
cls
@echo.
@echo #---------------------------------------#
@echo #--- Select an option from the list. ---#
@echo #
@echo #    '0' Player Vitals without Buffs
@echo #    '1' Player Vitals with Buffs
@echo #
@echo #    '2' Return to Toolbar selection
@echo #
@echo #---------------------------------------#
@echo # Enter an option '0', '1' or '2' ...
set PVChoice=
set /p PVChoice= #  ?
@echo #
If "%PVChoice%"=="0" Goto V0
If "%PVChoice%"=="1" Goto V1
If "%PVChoice%"=="2" Goto Menu
@echo Invalid choice
Goto Vitals

:V0
@echo #
@echo # You selected '0', Vitals without Buffs
@echo #
@echo #---------------------------------------#
set FILE2=SkinDefs\PlayerNoBuffs.xml
pause
Goto Create

:V1
@echo #
@echo # You selected '1', Vitals with Buffs
@echo #
@echo #---------------------------------------#
set FILE2=SkinDefs\PlayerBuffs.xml
pause
Goto Create

:Create
title "Celtic Skin Configurator"
cls
@echo #
@echo #
@echo #---------------------------------------#
@echo #
@echo # Creating your selected skin definition.
@echo #
@echo #---------------------------------------#
@echo #
copy /b %FILE1%+%FILE2%+SkinDefs\skindef.xml skindefinition.xml /Y /V
del skin.txt /F /Q
@echo %FILE1% %FILE2% > skin.txt
pause
Goto End

:End
title "The End: Enjoy!! ;-)"
@echo #
@echo #---------------------------------------#
@echo #
@echo #      Enjoy!! ;-)
@echo #
@echo #---------------------------------------#
pause
color
exit